body {
    padding: 0;
    margin: 0;
}

.container {
    display: flex;
    align-items: flex-end;
}

ul.flag {
    list-style: none;
    padding: 0;
    margin: 0;
}

.square {
    background-image: url(./img/Square.svg);
    width: 512px;
    height: 512px;
    margin: 100px 0 100px 100px;
    display: flex;
}

.hexagon {
    width: 342px;
    height: 393px;
    background-color: white;
    clip-path: polygon(50% 0, 95% 25%, 95% 75%, 50% 100%, 5% 75%, 5% 25%);
}

.plain {
    clip-path: polygon(50% 0, 95% 87%, 60% 80%, 50% 100%, 40% 80%, 5% 87%);
    width: 339px;
    height: 386px;
    background-color: rgb(81, 191, 255);
}

.flag li:nth-child(1) div.square {
    justify-content: center;
    align-items: center;
}

.flag li:nth-child(3) div.square {
    align-items: center;
}

.flag li:nth-child(4) div.square {
    align-items: flex-end;
    justify-content: flex-end;
}

.flag li:nth-child(5) div.square {
    justify-content: center;
    align-items: center;
}

/* circle */

.ground {
    background-color: white;
    width: 512px;
    height: 512px;
    margin: 100px 0 100px 100px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.circle {
    background-image: url(./img/Square.svg);
    width: 444px;
    height: 444px;
    display: flex;
    border-radius: 50%;
    background-size: contain;
}

.flag li:nth-child(1) .circle img {
    width: 358px;
    position: relative;
    top: 97px;
    left: 41px;
}

.circle .hexagon,
.circle .plain {
    width: 278px;
    height: 320px;
}

.flag li:nth-child(3) div.circle,
.flag li:nth-child(4) div.circle,
.flag li:nth-child(5) div.circle {
    align-items: center;
    justify-content: center;
}

/*black*/

.black {
    display: flex;
}

ul.black {
    list-style: none;
    padding: 0;
    margin: 0 0 0 60px;

}

.black_ground {
    background-color: black;
    width: 512px;
    height: 512px;
    margin: 100px 40px;
    display: flex;
    border: 1px solid black;
    flex-direction: column;
    padding: 21px;
    box-sizing: border-box;
}


.flag-small {
    background-image: url(./img/Square.svg);
    border-radius: 5px;
    width: 80px;
    height: 60px;
    background-size: contain;

}

.black li:nth-child(1) .black_ground .diya {
    margin-top: 128px;
}

.black li:nth-child(1) .black_ground {
    justify-content: flex-start;
    align-items: center;
}

.black li:nth-child(1) .flag-small {
    margin-top: 32px;
}

.black li:nth-child(2) .black_ground .diya,
.black li:nth-child(3) .black_ground .diya {
    margin: 45px auto
}

.black li:nth-child(2) img.diya {
    text-align: center;
}

.flags-container {
    display: flex;
    justify-content: space-between;
}